SyntheticProperty (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.mapping
Class SyntheticProperty

    java.lang.Object
      org.hibernate.mapping.Property
          org.hibernate.mapping.SyntheticProperty

All Implemented Interfaces:
  Serializable, MetaAttributable

    public class SyntheticProperty

extends Property

Models a property which does not actually exist in the model. It is created by Hibernate during the metamodel binding process.

See Also:
  Serialized Form

Constructor Summary
`SyntheticProperty()`

Method Summary
`boolean` | `isSynthetic()` Does this property represent a synthetic property? A synthetic property is one we create during metamodel binding to represent a collection of columns but which does not represent a property physically available on the entity.

Methods inherited from class org.hibernate.mapping.Property
`getAccessorPropertyName, getCascade, getCascadeStyle, getColumnIterator, getColumnSpan, getGeneration, getGetter, getMetaAttribute, getMetaAttributes, getName, getNodeName, getPersistentClass, getPropertyAccessor, getPropertyAccessorName, getSetter, getType, getValue, isBackRef, isBasicPropertyAccessor, isComposite, isInsertable, isLazy, isNaturalIdentifier, isOptimisticLocked, isOptional, isPrimitive, isSelectable, isUpdateable, isValid, setCascade, setGeneration, setInsertable, setLazy, setMetaAttributes, setName, setNaturalIdentifier, setNodeName, setOptimisticLocked, setOptional, setPersistentClass, setPropertyAccessorName, setSelectable, setUpdateable, setValue, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SyntheticProperty

    public SyntheticProperty()

Method Detail

### isSynthetic

    public boolean isSynthetic()

  Description copied from class: `Property`
  Does this property represent a synthetic property? A synthetic property is one we create during metamodel binding to represent a collection of columns but which does not represent a property physically available on the entity.

  Overrides:
    `isSynthetic` in class `Property`
  Returns:
    True if synthetic; false otherwise.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.